function GetBeatOtome()
	local ret = GAMESTATE:GetCurMusicSeconds()
	ret = ret-1.358
	ret = ret*2.45
	return ret;
end

local t = Def.ActorFrame{}

	t[#t+1] = LoadActor("../graphics/line.png")..{
		OnCommand=cmd(x,320;y,240;diffusealpha,0;linear,0.5;diffusealpha,1;sleep,13.1;linear,0.5;diffusealpha,0;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
	}
	t[#t+1] = LoadActor("../graphics/line.png")..{
		OnCommand=cmd(x,320;y,240;diffusealpha,0;sleep,56.5;linear,0.5;diffusealpha,1;sleep,12.3;linear,0.5;diffusealpha,0;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
	}
	t[#t+1] = LoadActor("../graphics/line.png")..{
		OnCommand=cmd(x,320;y,240;diffusealpha,0;sleep,90;linear,0.5;diffusealpha,1;sleep,12.3;linear,0.5;diffusealpha,0;queuecommand,"Stop");
		StopCommand=cmd(stoptweening);
	}
	
	--this *works*, but let's use #ATTACKS for this, right?
	--actually, I'm kinda proud that this works.

	--[[t[#t+1] = LoadActor("../graphics/line.png")..{
		OnCommand = function (self)
			GAMESTATE:ApplyGameCommand('mod, no stealth, no dark');
			self:diffusealpha(0);
			self:x(320);
			self:y(240);
			self:queuecommand('Update');
		end;
		UpdateCommand = function (self)
			self:sleep(0.05);
			if GetBeatOtome()>=12 and GetBeatOtome()<12.5 then
				GAMESTATE:ApplyGameCommand('mod, *2 stealth, *2 dark');
			elseif GetBeatOtome()>=44 and GetBeatOtome()<44.5 then
				GAMESTATE:ApplyGameCommand('mod, no stealth, no dark');
			elseif GetBeatOtome()>=150 and GetBeatOtome()<150.5 then
				GAMESTATE:ApplyGameCommand('mod, *2 stealth, *2 dark');
			elseif GetBeatOtome()>=180 and GetBeatOtome()<180.5 then
				GAMESTATE:ApplyGameCommand('mod, no stealth, no dark');
			elseif GetBeatOtome()>232 and GetBeatOtome()<232.5 then
				GAMESTATE:ApplyGameCommand('mod, *2 stealth, *2 dark');
			elseif GetBeatOtome()>=262 and GetBeatOtome()<262.5 then
				GAMESTATE:ApplyGameCommand('mod, no stealth, no dark');
			end
			self:queuecommand('Update2');
		end;
		Update2Command = function (self)
			self:sleep(0.05);
			self:queuecommand('Update');
		end;
	}]]

return t;